package logx

// Fields type, used to pass to `WithFields`.
type Fields map[string]any

type Logger interface {
	SetLevel(level Level)
	WithField(key string, value any) Logger
	WithFields(fields Fields) Logger
	Info(args ...any)
	Infof(format string, args ...any)
	Warn(args ...any)
	Error(args ...any)
	Warnf(format string, args ...any)
	Errorf(format string, args ...any)
	Fatalf(format string, args ...any)
	Println(args ...any)
	Print(args ...any)
	Printf(format string, args ...any)
}
